Skip to content
Proud to collaborate with Microsoft for Startups

mercadopago.subscriptions.update-subscription ​

Update subscription status or billing details. Common use: {"status": "paused"} to pause, {"status": "authorized"} to resume, {"status": "cancelled"} to cancel.

Update subscription

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-mercadopago
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
idstringYes——
reasonstringNo——
external_referencestringNo——
back_urlstringNo——
auto_recurringjsonNo——
card_token_idstringNo—New card token to update the payment method.
card_token_id_secondarystringNo—Token for secondary/fallback payment method card.
payment_method_id_secondarystringNo—Secondary payment method identifier for fallback charges.
statusstringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
idstringYes——
reasonstringNo——
external_referencestringNo——
back_urlstringNo——
auto_recurringjsonNo——
card_token_idstringNo—New card token to update the payment method.
card_token_id_secondarystringNo—Token for secondary/fallback payment method card.
payment_method_id_secondarystringNo—Secondary payment method identifier for fallback charges.
statusstringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /preapproval/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /preapproval/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "mercadopago.subscriptions.update-subscription",
  "initial_data": {
    "base_url": "value",
    "id": "value"
  }
}